Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718326 - mail-filter/pyzor-1.0.0_p20200523: stabilisation (was: need py3.7, 3.8 port)
Summary: mail-filter/pyzor-1.0.0_p20200523: stabilisation (was: need py3.7, 3.8 port)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks: python3.7-compat python37-stable-needed python3.8-stable, python38-stable-needed
  Show dependency tree
 
Reported: 2020-04-19 14:19 UTC by Michał Górny
Modified: 2020-11-11 18:48 UTC (History)
11 users (show)

See Also:
Package list:
mail-filter/pyzor-1.0.0_p20200523 dev-python/mysqlclient-1.4.6-r1
Runtime testing required: ---
nattka: sanity-check+


Attachments
pyzor-9999.ebuild (pyzor-9999.ebuild,1.84 KB, text/plain)
2020-06-10 10:46 UTC, Sandino Araico Sanchez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-19 14:19:50 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Larry the Git Cow gentoo-dev 2020-04-19 23:46:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83dea7af29a13b97f1319bb691bacf64e53fa7d4

commit 83dea7af29a13b97f1319bb691bacf64e53fa7d4
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-04-19 23:40:32 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-04-19 23:44:49 +0000

    profiles: mask mail-filter/pyzor for removal again.
    
    This is masked again for the same reason. Upstream won't cut a new
    release, and the last one is version 1.0 from 2014. Too much work.
    
    Bug: https://bugs.gentoo.org/718326
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 2 Tomek L 2020-06-07 11:21:34 UTC
Pyzor has been rebuild for Python 3.8 (https://koji.fedoraproject.org/koji/buildinfo?buildID=1395837) - can this build be backported to Gentoo?
Comment 3 Tomáš Mózes 2020-06-08 06:23:18 UTC
We don't really need to rebuild any package as Gentoo is a source based distro. There's a pending PR that adds a snapshot with the current master code that's python3 compatible.
Comment 4 Sandino Araico Sanchez 2020-06-10 10:46:23 UTC
Created attachment 644276 [details]
pyzor-9999.ebuild

This ebuild installs pyzor from master branch from git repo
https://github.com/SpamExperts/pyzor
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-01 10:53:52 UTC
ping.
Comment 6 Tomáš Mózes 2020-09-01 12:03:41 UTC
(In reply to Michał Górny from comment #5)
> ping.

There is a pending PR.
Comment 7 Larry the Git Cow gentoo-dev 2020-09-02 05:14:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd9172fb91c1f3649997a06f2f063223a3e5fa4e

commit cd9172fb91c1f3649997a06f2f063223a3e5fa4e
Author:     Tomáš Mózes <hydrapolic@gmail.com>
AuthorDate: 2020-05-23 18:40:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-02 05:00:28 +0000

    mail-filter/pyzor: add snapshot with python 3.{7,8} support
    
    Bug: https://bugs.gentoo.org/718326
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 mail-filter/pyzor/Manifest                       |  1 +
 mail-filter/pyzor/metadata.xml                   |  4 ++
 mail-filter/pyzor/pyzor-1.0.1_pre20200523.ebuild | 61 ++++++++++++++++++++++++
 3 files changed, 66 insertions(+)
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-09-02 05:26:27 UTC
Converting to stabilisation bug for when the time comes.
Comment 9 NATTkA bot gentoo-dev 2020-09-02 05:29:13 UTC
Sanity check failed:

> mail-filter/pyzor-1.0.0_p20200523
>   rdepend hppa stable profile default/linux/hppa/17.0 (3 total)
>     dev-python/mysqlclient[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc stable profile default/linux/powerpc/ppc32/17.0 (19 total)
>     dev-python/mysqlclient[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/mysqlclient[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
Comment 10 NATTkA bot gentoo-dev 2020-09-20 09:41:58 UTC
Unable to check for sanity:

> no match for package: dev-python/mysqlclient-1.4.6
Comment 11 NATTkA bot gentoo-dev 2020-09-20 10:09:18 UTC
All sanity-check issues have been resolved
Comment 12 Thomas Deutschmann gentoo-dev 2020-09-20 22:40:43 UTC
x86 stable
Comment 13 Sergei Trofimovich (RETIRED) gentoo-dev 2020-09-26 22:59:22 UTC
hppa stable
Comment 14 Sergei Trofimovich (RETIRED) gentoo-dev 2020-10-11 09:41:22 UTC
ppc/ppc64 stable
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-11-11 18:48:24 UTC
amd64 done

all arches done